Google Web Toolkit
Search Google Code:

# Interface PopupPanel.PositionCallback

public static interface PopupPanel.PositionCallback
A callback that is used to set the position of a PopupPanel right before it is shown.

## Methods

setPosition(int, int) | Provides the opportunity to set the position of the PopupPanel right before the PopupPanel is shown.

## Method Detail

### setPosition

public void setPosition(int offsetWidth, int offsetHeight)
Provides the opportunity to set the position of the PopupPanel right before the PopupPanel is shown. The offsetWidth and offsetHeight values of the PopupPanel are made available to allow for positioning based on its size.

#### Parameters

offsetWidth
  the offsetWidth of the PopupPanel
offsetHeight
  the offsetHeight of the PopupPanel

#### See Also

PopupPanel.setPopupPositionAndShow(PositionCallback)